Cerrar orden de compra
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/purchase-orders/{purchase_order_id}/close \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lapyme.com.ar/api/v1/purchase-orders/{purchase_order_id}/close"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lapyme.com.ar/api/v1/purchase-orders/{purchase_order_id}/close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"purchase_order": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_number": 123,
"formatted_order_number": "<string>",
"order_date": "2023-12-25",
"expected_date": "2023-12-25",
"currency": "<string>",
"supplier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"email": "<string>",
"phone": "<string>",
"tax_id_type": "<string>",
"tax_id": "<string>",
"tax_category": "<string>",
"payment_term_id": "<string>",
"payment_term_days": 182,
"address": "<string>",
"apartment": "<string>",
"city": "<string>",
"province": "<string>",
"postal_code": "<string>"
},
"warehouse": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"tags": [
{
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ordered_quantity": 123,
"received_quantity": 123,
"expected_unit_cost": 1,
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"sku": "<string>",
"variant_options": {},
"option_names": [
"<string>"
]
}
}
]
},
"idempotent_replay": true
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Solicitud inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "API key faltante o inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Scopes insuficientes",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Orden de compra no encontrada",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Conflicto de idempotencia o de negocio",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Error interno del servidor",
"retryable": false,
"details": []
}
}Cerrar orden de compra
Cierra una orden de compra y devuelve el detalle persistido.
POST
/
api
/
v1
/
purchase-orders
/
{purchase_order_id}
/
close
Cerrar orden de compra
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Path Parameters
ID de la orden de compra
Was this page helpful?
⌘I

